Skip to main content
`Ctrl`+`K`

# TSTrajectoryRestoreUpdatedHistoryVecs

Restores updated state and time-derivative history vectors obtained with `TSTrajectoryGetUpdatedHistoryVecs()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryRestoreUpdatedHistoryVecs(TSTrajectory tj, Vec *U, Vec *Udot)

Collective

## Input Parameters

- tj - the `TSTrajectory` context

- U - state vector at given time (can be interpolated)

- Udot - time-derivative vector at given time (can be interpolated)

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSTrajectoryGetUpdatedHistoryVecs()`

## Level

developer

## Location

src/ts/trajectory/interface/traj.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages